<?xml version="1.0" encoding="UTF-8"?><VW_HTRAIN_REFERDOC desc_thai="สรุปข้อมูลหนังสืออ้างอิงการอบรม" desc_eng="Referdoc training" editcheck="true" mainhelp="VW_HTRAIN_REFERDOCHELP" referhelp="VW_HTRAIN_REFERDOCHELP" mainkey="TRAINYEAR" fieldsystem="" deleteflag="true" config_field="">
<FIELD>
	<TRAINYEAR LANG="A" encrypt="false" verify="false" log="false" type="String">
				<WIDTH>4</WIDTH>
				<DESC_ENG>Train Year</DESC_ENG>
				<DESC_THAI>ปีที่อบรม</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>Train Year</ALT_ENG>
					<ALT_THAI>ปีที่อบรม</ALT_THAI>
				</COMPONENT>
	</TRAINYEAR>
	<BRANCH lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MBRANCH</RELATION>
			<DESC_ENG>Company</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company</ALT_ENG>
				<ALT_THAI>บริษัท</ALT_THAI>
			</COMPONENT>
	</BRANCH>
	<COMPANYID lang="A" encrypt="false" log="false" type="String">
				<WIDTH>5</WIDTH>
				<RELATION />
				<DESC_ENG>Company ID</DESC_ENG>
				<DESC_THAI>รหัสบริษัท</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>5</MAXSIZE>
					<SIZE>5</SIZE>
					<DISABLE>false</DISABLE>
					<ALT_THAI>รหัสบริษัท</ALT_THAI>
					<ALT_ENG>Company ID</ALT_ENG>
				</COMPONENT>
	</COMPANYID>
	<REFERID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Reference ID</DESC_ENG>
			<DESC_THAI>รหัสเอกสารรับรอง</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Reference ID</ALT_ENG>
				<ALT_THAI>รหัสเอกสารรับรอง</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</REFERID>
		<REFER_DOCNO lang="A" encrypt="false" log="false" type="String">
			<WIDTH>70</WIDTH>
			<DESC_ENG>Reference No.</DESC_ENG>
			<DESC_THAI>เลขที่หนังสือรับรอง</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>70</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Reference No.</ALT_ENG>
				<ALT_THAI>เลขที่หนังสือรับรอง</ALT_THAI>
				<ONBLUR>chkReferDate();</ONBLUR>
			</COMPONENT>
		</REFER_DOCNO>
		<REFER_DOCDATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Refer doc Date</DESC_ENG>
			<DESC_THAI>วันที่อนุมัติหนังสือรับรอง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Approve Date</ALT_ENG>
				<ALT_THAI>วันที่อนุมัติหนังสือรับรอง</ALT_THAI>
				<ONBLUR>chkReferDoc();</ONBLUR>
			</COMPONENT>
		</REFER_DOCDATE>
		<REFER_APPBY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>70</WIDTH>
			<DESC_ENG>Approve by</DESC_ENG>
			<DESC_THAI>หน่วยงานผู้ออก</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>70</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Approve by</ALT_ENG>
				<ALT_THAI>หน่วยงานผู้ออก</ALT_THAI>
			</COMPONENT>
		</REFER_APPBY>
		<TRAIN_TYPE0 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Before</DESC_ENG>
			<DESC_THAI>เตรียมเข้าทำงาน</DESC_THAI>
			<VALIDCODE>TRNEE_TRSTAT</VALIDCODE>
			<COMPONENT type="list">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Before</ALT_ENG>
				<ALT_THAI>เตรียมเข้าทำงาน</ALT_THAI>
			</COMPONENT>
		</TRAIN_TYPE0>
		<TRAIN_TYPE1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Upgrade</DESC_ENG>
			<DESC_THAI>ยกระดับฝีมือ</DESC_THAI>
			<VALIDCODE>TRNEE_TRSTAT</VALIDCODE>
			<COMPONENT type="list">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Upgrade</ALT_ENG>
				<ALT_THAI>ยกระดับฝีมือ</ALT_THAI>
			</COMPONENT>
		</TRAIN_TYPE1>
		<TRAIN_TYPE2 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Change Job</DESC_ENG>
			<DESC_THAI>เปลี่ยนสาขา</DESC_THAI>
			<VALIDCODE>TRNEE_TRSTAT</VALIDCODE>
			<COMPONENT type="list">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Change Job</ALT_ENG>
				<ALT_THAI>เปลี่ยนสาขา</ALT_THAI>
			</COMPONENT>
		</TRAIN_TYPE2>
</FIELD>
	<RELATION>
		<VW_HTRAINING_YEAR>
			<PARENT>VW_HTRAIN_REFERDOC.TRAINYEAR</PARENT>
			<PARENT>VW_HTRAIN_REFERDOC.BRANCH</PARENT>
			<PARENT>VW_HTRAIN_REFERDOC.COMPANYID</PARENT>
			<CHILD>VW_HTRAINING_YEAR.TRAINYEAR</CHILD>
			<CHILD>VW_HTRAINING_YEAR.BRANCH</CHILD>
			<CHILD>VW_HTRAINING_YEAR.COMPANYID</CHILD>
		</VW_HTRAINING_YEAR>
	</RELATION>
</VW_HTRAIN_REFERDOC>
